#include <bits/stdc++.h>
#define STEF ios::sync_with_stdio(0);cin.tie(0);cout.tie(0)
#define F first
#define S second
#define PB push_back
#define MP make_pair
#define REP(i,a,b) for(int i=a;i<b;i++)
#define ll long long
#define nl '\n'
int MOD =1000000007;
using namespace std;


int main(){
	STEF;
    ll n,k;cin>>n>>k;
    string s;cin>>s;
    string al="abcdefghijklmnopqrstuvwxyz";
    vector<pair<ll,string>>a;
    for(int i=0;i<k;i++){
            string g="";
            char c=al[i];
            g+=c;
            for(int j=0;j<k;j++){
                a.PB({g.size(),g});
                g+=c;
            }
    }
    for(int i=0;i<n;i++){
            string f="";
            for(int j=0;j<i;j++){
                f+=s[j];
            }
            a.PB({f.size(),f});
    }

    sort(a.begin(),a.end());
    for(int i=0;i<=n;i++){
        string f="";
        for(int j=0;j<i;j++){
            f+=s[j];
        }
        if(i>0){
            for(int l=0;l<a.size();l++){
                auto it=f.find(a[l].S);
                if(it==string::npos){
                    cout<<a[l].S.size()<<" ";
                    break;
                }
            }
        }
    }
	return 0;
}